File: gimp.css

package info (click to toggle)
gimp 3.2.0-1
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 222,880 kB
  • sloc: ansic: 870,914; python: 10,965; lisp: 10,857; cpp: 7,355; perl: 4,536; sh: 1,753; xml: 972; yacc: 609; lex: 348; javascript: 150; makefile: 42
file content (221 lines) | stat: -rw-r--r-- 4,435 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
/* GIMP theme css file */

* {
    -gtk-icon-style:                   symbolic;
    -GimpDockWindow-default-height:    300;
    -GimpMenuDock-minimal-width:       200;
    -GimpDockWindow-menu-preview-size: button;
    -GimpToolPalette-tool-icon-size:   large-toolbar;
    -GimpToolPalette-button-relief:    none;
    -GimpDock-tool-icon-size:          large-toolbar;
    -GimpDockbook-tab-icon-size:       button;
    -GimpColorNotebook-tab-icon-size:  button;
    -GimpDockable-content-border:      2;
    -GimpEditor-content-spacing:       2;
    -GimpEditor-button-spacing:        2;
    -GimpEditor-button-icon-size:      menu;
    -GimpDataEditor-minimal-height:    96;
    -GtkDialog-content-area-border:    0;
    -GtkDialog-button-spacing:         6;
    -GtkDialog-action-area-border:     12;
    -GimpUnitComboBox-appears-as-list: 0;
}

GimpToolDialog {
    -GtkDialog-action-area-border: 6;
}

GimpColorNotebook tab {
    padding: 0 0 0 0;
}

/* Define colors so the nib handle appears in Gimp Ink Options */
GimpBlobEditor {
  color: @theme_fg_color;
  background-color: @theme_bg_color;
  border: 0.1em solid @theme_fg_color;
}

GimpDock entry,
GimpDock spinbutton,
GimpDock GimpColorNotebook spinbutton,
GimpDock GimpColorNotebook spinbutton entry,
GimpDock GimpColorScales spinbutton,
GimpDock GimpColorScales spinbutton entry {
    min-height: 0;
    padding-top: 2px;
    padding-bottom: 2px;
}

GimpColorSelection ColorselCmyk {
    padding: 2px 2px 2px 2px;
}

GimpColorHistory button {
    padding: 3px 3px 3px 3px;
}

#gimp-color-tag-box button {
    padding: 4px 6px 4px 6px;
}

tab GimpFgBgView {
    padding: 6px 6px 6px 6px;
}

GimpFgBgEditor:active {
    border-width: 2px 2px 2px 2px;
}

GimpDock notebook tab {
    padding: 0 0 0 0;
}

GimpDock :not(toolbutton) > button,
GimpOverlayDialog button,
GimpToolDialog :not(headerbar) button,
GimpTextStyleEditor button {
    padding: 0px 2px 0px 2px;
}

GimpDock :not(toolbutton) > button + button,
GimpOverlayDialog button + button,
GimpToolDialog :not(headerbar) button + button,
GimpTextStyleEditor button + button {
    margin-right: 4px;
}

GimpToolDialog headerbar {
    min-height: 0;
}

GimpDock frame {
    -GimpFrame-label-bold:       0;
    -GimpFrame-label-spacing:    2;
}

GimpDisplayShell grid > button {
    min-height: 0;
    min-width: 0;
    padding: 0 0 0 0;
}

GimpDisplayShell progressbar trough,
GimpDisplayShell progressbar progress {
    min-height: 1em;
}

GimpFileDialog progressbar trough,
GimpFileDialog progressbar progress {
    min-width: 1px; /* hack */
    min-height: 1em;
}

spinbutton entry {
    border-radius: 3px;
}

/* 9 button toggles on some transformation tools */
GimpPivotSelector .toggle {
  margin-right: 0px;
}

GimpSpinScale entry {
    /* Important: prevent overhigh spin scale */
    min-height: 16px;
    padding:    0px;
}

GimpSpinScale entry progress {
    background-color: @theme_selected_bg_color;
    border-width:     0px;
    border-radius:    3px;
    margin:           0px;
}

GimpSpinScale button {
    /* Makes the +- buttons a bit more compact. */
    padding: 0 1px 0 1px;
}


/* Create appearance of toggle group for enum radio buttons */
buttonbox button.radio
{
  min-height:    24px;
  min-width:     16px;
  outline-width: 0px;
}

buttonbox button.radio image
{
  padding: 4px;
}

buttonbox.horizontal button.radio
{
  border-top:    1px solid @borders;
  border-bottom: 1px solid @borders;
  border-left:   1px solid @borders;
}

buttonbox.horizontal button.radio:last-child
{
  border-right: 1px solid @borders;
}

buttonbox.vertical button.radio
{
  border-top:   1px solid @borders;
  border-left:  1px solid @borders;
  border-right: 1px solid @borders;
}

buttonbox.vertical button.radio:last-child
{
  border-bottom: 1px solid @borders;
}

buttonbox.horizontal button.radio:not(:first-child)
{
  margin-right: -1px;
}

buttonbox.vertical button.radio:not(:first-child)
{
  margin-bottom: -1px;
}

combobox button {
  outline-width: 0px;
}

entry.italic {
    font-style: italic;
}

tooltip decoration {
  box-shadow: 0px 0px;
}

treeview header button {
    padding: 6px;
}

treeview .toggle-icon:not(.visible):hover {
    border: 1px solid gray;
    border-radius: 3px;
}

treeview .toggle-icon:not(.visible):selected {
    border-color: lightgray;
}

.metadata-tag-row box {
    background-color: transparent;
    margin: 3px;
}

.metadata-value-label {
    margin-left: 12px;
}